#!/bin/sh
#
# Script for executing SAS Java application
# WebDAVDump93.sh http://server:port/SASContentServer/repository/default/sasfolders/<folder> <user> <password> <path to zip file>
# Example :
# WebDAVDump93.sh http://server:8080/SASContentServer/repository/default/sasfolders/data sastrust@saspw Admin1 /usr/SAS/dump.zip
# 


# Source level_env
. `dirname $0`/../../level_env.sh

LAUNCHERJAR=$SASVJR_HOME/eclipse/plugins/sas.launcher.jar
JRE_COMMAND=$JDK_HOME/bin/java

UTILITIESDIR=$LEVEL_ROOT/Web/Utilities
PICKLISTS=$SAS_HOME/SASWebInfrastructurePlatform/9.3/Configurable/apps/Utilities/DAVTree/Picklists/**/picklist
CLASSPATH=$UTILITIESDIR:$LAUNCHERJAR

"$JRE_COMMAND"  \
 -classpath "$CLASSPATH" \
 -Djava.system.class.loader=com.sas.app.AppClassLoader -Dsas.app.launch.config="$PICKLISTS" \
 -Dsas.app.repository.path="$SASVJR_REPOSITORYPATH" \
 -Dsas.app.class.path="$UTILITIESDIR" \
 -Djava.security.auth.login.config=../Common/login.config \
 -Xms64m -Xmx64m \
 com.sas.services.webdav.WebDAVDump \
 -url $1 \
 -user $2 \
 -pwd $3 \
 $4
 
exit 0